Bug 71736 - Lack of Avery Label choices
Summary: Lack of Avery Label choices
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-18 12:10 UTC by Horby
Modified: 2013-12-08 16:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Horby 2013-11-18 12:10:55 UTC
Avery Label format J8551 is still missing from the list.
Comment 1 tommy27 2013-11-18 20:26:17 UTC
please, describe the exact steps you do to reproduce the bug.
Comment 2 Horby 2013-11-18 20:35:19 UTC
I simply went to the labels wizard, and the Avery format I required (J8551) was absent from the list, both before and after upgrading Libre Office.
Comment 3 tommy27 2013-11-18 21:24:00 UTC
I add labels expert to CC list. maybe he can help.
Comment 4 Winfried Donkers (retired) 2013-11-19 07:26:10 UTC
@Horby:
I confirm that Avery J8551 is not (yet) included in the default labels.
Thank you for reporting this.
I will add this label, and more new labels that I may come across.
Meanwhile, you can use J8651, which is included in the default labels and which has the same dimensions.

@tommy27:
Thanks for alerting me :)
Comment 5 Horby 2013-11-19 10:09:55 UTC
Thanks for the info re the alternative format number! Why do Avery make it so confusing?!?
Comment 6 Winfried Donkers (retired) 2013-11-19 11:07:03 UTC
(In reply to comment #5)
> Thanks for the info re the alternative format number! Why do Avery make it
> so confusing?!?

You're welcome.
Should you come across other missing labels, please file a new bug report. I don't keep track of all new labels and feed back is always helpful to further improve LibreOffice :)
BTW, you can add your own label definitions if you wish, also under manufacturer Avery and with name J8551.
Comment 7 Horby 2013-11-19 11:48:27 UTC
I did try to add the label definition, but couldn't figure out quite how to do it.
Comment 8 tommy27 2013-11-19 11:57:08 UTC
(In reply to comment #4)
> 
> @tommy27:
> Thanks for alerting me :)


I think your name should be here:
https://wiki.documentfoundation.org/FindTheExpert

nobody knows  the label thing in LibO better than you
Comment 9 Winfried Donkers (retired) 2013-11-19 15:05:54 UTC
(In reply to comment #8)
> I think your name should be here:
> https://wiki.documentfoundation.org/FindTheExpert
> 
> nobody knows  the label thing in LibO better than you

It may be true that I know a bit more of the label thing than some others, but I am far from an expert.
It would insult the real experts were someone to add me to that list ;)

BTW adding label definition to the code is something of an easy hack.
Comment 10 Winfried Donkers (retired) 2013-11-19 16:07:42 UTC
(In reply to comment #7)
> I did try to add the label definition, but couldn't figure out quite how to
> do it.

In the label wizard, tab Format, there is a button (save...) at the bottom of the dimension input fields.
Press that, select existing brand or enter your own and enter your name of choice for the label. You can't overwrite existing default labels, so don't be afraid.
The labels you save yourself are stored with your personal settings and remain there with version updates.
Comment 11 Horby 2013-11-19 16:57:13 UTC
Thank you!  So easy once you know how.
Comment 12 Commit Notification 2013-11-20 09:09:52 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c20117b3919ed15d86c03e194a17d786cd14e914

fdo#71736 add missing Avery labels to label wizard



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 R. Steven Rainwater 2013-12-07 19:25:58 UTC
Libre Office is missing the Avery 8250 label format as well. Any chance someone could add that to the next release? Thanks!
Comment 14 Julien Nabet 2013-12-07 23:42:30 UTC
Winfried: for the test, I tried to find specs of Avery labels 8250 but haven't found it. Where do you retrieve specs to fill extras/source/labels/labels.xml ?

R. Steven Rainwater: in order to keep track of the bugs more easily, could you fill a new bug by using this link? https://www.libreoffice.org/get-help/bug/
Comment 15 Winfried Donkers (retired) 2013-12-08 16:04:19 UTC
(In reply to comment #14)
> Winfried: for the test, I tried to find specs of Avery labels 8250 but
> haven't found it. Where do you retrieve specs to fill
> extras/source/labels/labels.xml ?
> 
> R. Steven Rainwater: in order to keep track of the bugs more easily, could
> you fill a new bug by using this link?
> https://www.libreoffice.org/get-help/bug/

@Julien:
Finding specs for Avery labels is a bit troublesome. Most of the time, I have to download a template and take the dimensions from that document (size and position of the frames).

@R. Steven: I just checked with version 3.6 (and master). Avery label 8250 is present under ' Avery letter size'. Should you find other labels that are missing, please file a new bug (and enter me under cc).

In general:
Avery label is a letter size label sheet, compatible with the following compatible Avery labels: 15160, 15510, 15660, 16460, 18160, 18260, 18660, 28660, 32660, 38260, 45160, 48160, 48260, 48360, 48460, 48860, 48960, 5160, 5260, 55160, 5520, 55260, 55360, 5620, 5630, 5660, 5810, 58160, 58260, 58660, 5960, 6240, 6241, 6970, 75160, 8160, 8250, 8460, 85560, 8620, 8660, 8810, 88560, 8860, 8920.
Last time I checked, I only checked A4 label sheets.
Closing this bug, to avoid further confusion.